Index: /branches/version-2_13_0/data/module/Calendar/Decorator/Weekday.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Decorator/Weekday.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Decorator/Weekday.php	(revision 23143)
@@ -1,39 +1,27 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// |          Lorenzo Alberton <l dot alberton at quipo dot it>           |
+// +----------------------------------------------------------------------+
+//
+// $Id: Weekday.php,v 1.3 2004/08/16 12:25:15 hfuecks Exp $
+//
 /**
- * Contains the Calendar_Decorator_Weekday class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Weekday.php 300729 2010-06-24 12:05:53Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Weekday.php,v 1.3 2004/08/16 12:25:15 hfuecks Exp $
  */
 
@@ -59,17 +47,10 @@
  * <code>
  * $Day = new Calendar_Day(2003, 10, 23);
- * $Weekday = new Calendar_Decorator_Weekday($Day);
+ * $Weekday = & new Calendar_Decorator_Weekday($Day);
  * $Weekday->setFirstDay(0); // Set first day of week to Sunday (default Mon)
  * echo $Weekday->thisWeekDay(); // Displays 5 - fifth day of week relative to Sun
  * </code>
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access    public
+ * @package Calendar
+ * @access public
  */
 class Calendar_Decorator_Weekday extends Calendar_Decorator
@@ -84,10 +65,8 @@
     /**
      * Constructs Calendar_Decorator_Weekday
-     *
-     * @param object &$Calendar subclass of Calendar
-     *
+     * @param object subclass of Calendar
      * @access public
      */
-    function Calendar_Decorator_Weekday(&$Calendar)
+    function Calendar_Decorator_Weekday(& $Calendar)
     {
         parent::Calendar_Decorator($Calendar);
@@ -96,12 +75,9 @@
     /**
      * Sets the first day of the week (0 = Sunday, 1 = Monday (default) etc)
-     *
-     * @param int $firstDay first day of week
-     *
+     * @param int first day of week
      * @return void
      * @access public
      */
-    function setFirstDay($firstDay) 
-    {
+    function setFirstDay($firstDay) {
         $this->firstDay = (int)$firstDay;
     }
@@ -109,20 +85,14 @@
     /**
      * Returns the previous weekday
-     *
-     * @param string $format (default = 'int') return value format
-     *
-     * @return int $format numeric day of week or timestamp
+     * @param string (default = 'int') return value format
+     * @return int numeric day of week or timestamp
      * @access public
      */
     function prevWeekDay($format = 'int')
     {
-        $ts  = $this->calendar->prevDay('timestamp');
-        $Day = new Calendar_Day(2000, 1, 1);
+        $ts = $this->calendar->prevDay('timestamp');
+        $Day = new Calendar_Day(2000,1,1);
         $Day->setTimeStamp($ts);
-        $day = $this->calendar->cE->getDayOfWeek(
-            $Day->thisYear(),
-            $Day->thisMonth(),
-            $Day->thisDay()
-        );
+        $day = $this->calendar->cE->getDayOfWeek($Day->thisYear(),$Day->thisMonth(),$Day->thisDay());
         $day = $this->adjustWeekScale($day);
         return $this->returnValue('Day', $format, $ts, $day);
@@ -131,7 +101,5 @@
     /**
      * Returns the current weekday
-     *
-     * @param string $format (default = 'int') return value format
-     *
+     * @param string (default = 'int') return value format
      * @return int numeric day of week or timestamp
      * @access public
@@ -139,10 +107,6 @@
     function thisWeekDay($format = 'int')
     {
-        $ts  = $this->calendar->thisDay('timestamp');
-        $day = $this->calendar->cE->getDayOfWeek(
-            $this->calendar->year,
-            $this->calendar->month,
-            $this->calendar->day
-        );
+        $ts = $this->calendar->thisDay('timestamp');
+        $day = $this->calendar->cE->getDayOfWeek($this->calendar->year,$this->calendar->month,$this->calendar->day);
         $day = $this->adjustWeekScale($day);
         return $this->returnValue('Day', $format, $ts, $day);
@@ -151,7 +115,5 @@
     /**
      * Returns the next weekday
-     *
-     * @param string $format (default = 'int') return value format
-     *
+     * @param string (default = 'int') return value format
      * @return int numeric day of week or timestamp
      * @access public
@@ -159,12 +121,8 @@
     function nextWeekDay($format = 'int')
     {
-        $ts  = $this->calendar->nextDay('timestamp');
-        $Day = new Calendar_Day(2000, 1, 1);
+        $ts = $this->calendar->nextDay('timestamp');
+        $Day = new Calendar_Day(2000,1,1);
         $Day->setTimeStamp($ts);
-        $day = $this->calendar->cE->getDayOfWeek(
-            $Day->thisYear(),
-            $Day->thisMonth(),
-            $Day->thisDay()
-        );
+        $day = $this->calendar->cE->getDayOfWeek($Day->thisYear(),$Day->thisMonth(),$Day->thisDay());
         $day = $this->adjustWeekScale($day);
         return $this->returnValue('Day', $format, $ts, $day);
@@ -173,21 +131,16 @@
     /**
      * Adjusts the day of the week relative to the first day of the week
-     *
-     * @param int $dayOfWeek day of week calendar from Calendar_Engine
-     *
+     * @param int day of week calendar from Calendar_Engine
      * @return int day of week adjusted to first day
      * @access private
      */
-    function adjustWeekScale($dayOfWeek) 
-    {
+    function adjustWeekScale($dayOfWeek) {
         $dayOfWeek = $dayOfWeek - $this->firstDay;
-        if ($dayOfWeek >= 0) {
+        if ( $dayOfWeek >= 0 ) {
             return $dayOfWeek;
         } else {
             return $this->calendar->cE->getDaysInWeek(
-                $this->calendar->year,
-                $this->calendar->month,
-                $this->calendar->day
-            ) + $dayOfWeek;
+                $this->calendar->year,$this->calendar->month,$this->calendar->day
+                ) + $dayOfWeek;
         }
     }
Index: /branches/version-2_13_0/data/module/Calendar/Decorator/Uri.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Decorator/Uri.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Decorator/Uri.php	(revision 23143)
@@ -1,39 +1,27 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// |          Lorenzo Alberton <l dot alberton at quipo dot it>           |
+// +----------------------------------------------------------------------+
+//
+// $Id: Uri.php,v 1.3 2004/08/16 09:04:20 hfuecks Exp $
+//
 /**
- * Contains the Calendar_Decorator_Uri class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Uri.php 300729 2010-06-24 12:05:53Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Uri.php,v 1.3 2004/08/16 09:04:20 hfuecks Exp $
  */
 
@@ -62,18 +50,11 @@
  * <code>
  * $Day = new Calendar_Day(2003, 10, 23);
- * $Uri = new Calendar_Decorator_Uri($Day);
+ * $Uri = & new Calendar_Decorator_Uri($Day);
  * $Uri->setFragments('year', 'month', 'day');
  * echo $Uri->getPrev(); // Displays year=2003&month=10&day=22
  * </code>
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @see       Calendar_Util_Uri
- * @access    public
+ * @see Calendar_Util_Uri
+ * @package Calendar
+ * @access public
  */
 class Calendar_Decorator_Uri extends Calendar_Decorator
@@ -81,14 +62,12 @@
 
     /**
-     * @var Calendar_Util_Uri
-     * @access private
-     */
+    * @var Calendar_Util_Uri
+    * @access private
+    */
     var $Uri;
 
     /**
      * Constructs Calendar_Decorator_Uri
-     *
-     * @param object &$Calendar subclass of Calendar
-     *
+     * @param object subclass of Calendar
      * @access public
      */
@@ -100,25 +79,20 @@
     /**
      * Sets the URI fragment names
-     *
-     * @param string $y URI fragment for year
-     * @param string $m (optional) URI fragment for month
-     * @param string $d (optional) URI fragment for day
-     * @param string $h (optional) URI fragment for hour
-     * @param string $i (optional) URI fragment for minute
-     * @param string $s (optional) URI fragment for second
-     *
+     * @param string URI fragment for year
+     * @param string (optional) URI fragment for month
+     * @param string (optional) URI fragment for day
+     * @param string (optional) URI fragment for hour
+     * @param string (optional) URI fragment for minute
+     * @param string (optional) URI fragment for second
      * @return void
      * @access public
      */
-    function setFragments($y, $m = null, $d = null, $h = null, $i = null, $s = null)
-    {
-        $this->Uri = new Calendar_Util_Uri($y, $m, $d, $h, $i, $s);
+    function setFragments($y, $m=null, $d=null, $h=null, $i=null, $s=null) {
+        $this->Uri = & new Calendar_Util_Uri($y, $m, $d, $h, $i, $s);
     }
 
     /**
      * Sets the separator string between fragments
-     *
-     * @param string $separator url fragment separator e.g. /
-     *
+     * @param string separator e.g. /
      * @return void
      * @access public
@@ -130,12 +104,11 @@
 
     /**
-     * Puts Uri decorator into "scalar mode" - URI variable names are not returned
-     *
-     * @param boolean $state (optional)
-     *
+     * Puts Uri decorator into "scalar mode" - URI variable names are not
+     * returned
+     * @param boolean (optional)
      * @return void
      * @access public
      */
-    function setScalar($state = true)
+    function setScalar($state=true)
     {
         $this->Uri->scalar = $state;
@@ -144,7 +117,5 @@
     /**
      * Gets the URI string for the previous calendar unit
-     *
-     * @param string $method calendar unit to fetch uri for (year, month, week or day etc)
-     *
+     * @param string calendar unit to fetch uri for (year,month,week or day etc)
      * @return string
      * @access public
@@ -157,7 +128,5 @@
     /**
      * Gets the URI string for the current calendar unit
-     *
-     * @param string $method calendar unit to fetch uri for (year,month,week or day etc)
-     *
+     * @param string calendar unit to fetch uri for (year,month,week or day etc)
      * @return string
      * @access public
@@ -170,7 +139,5 @@
     /**
      * Gets the URI string for the next calendar unit
-     *
-     * @param string $method calendar unit to fetch uri for (year,month,week or day etc)
-     *
+     * @param string calendar unit to fetch uri for (year,month,week or day etc)
      * @return string
      * @access public
@@ -180,4 +147,5 @@
         return $this->Uri->next($this, $method);
     }
+
 }
 ?>
Index: /branches/version-2_13_0/data/module/Calendar/Decorator/Wrapper.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Decorator/Wrapper.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Decorator/Wrapper.php	(revision 23143)
@@ -1,39 +1,27 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// |          Lorenzo Alberton <l dot alberton at quipo dot it>           |
+// +----------------------------------------------------------------------+
+//
+// $Id: Wrapper.php,v 1.2 2005/11/03 20:35:03 quipo Exp $
+//
 /**
- * Contains the Calendar_Decorator_Wrapper class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Wrapper.php 300729 2010-06-24 12:05:53Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Wrapper.php,v 1.2 2005/11/03 20:35:03 quipo Exp $
  */
 
@@ -53,13 +41,6 @@
 /**
  * Decorator to help with wrapping built children in another decorator
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access    public
+ * @package Calendar
+ * @access public
  */
 class Calendar_Decorator_Wrapper extends Calendar_Decorator
@@ -67,7 +48,5 @@
     /**
      * Constructs Calendar_Decorator_Wrapper
-     *
-     * @param object &$Calendar subclass of Calendar
-     *
+     * @param object subclass of Calendar
      * @access public
      */
@@ -79,7 +58,5 @@
     /**
      * Wraps objects returned from fetch in the named Decorator class
-     *
-     * @param string $decorator name of Decorator class to wrap with
-     *
+     * @param string name of Decorator class to wrap with
      * @return object instance of named decorator
      * @access public
@@ -89,5 +66,5 @@
         $Calendar = parent::fetch();
         if ($Calendar) {
-            $ret = new $decorator($Calendar);
+            $ret =& new $decorator($Calendar);
         } else {
             $ret = false;
@@ -98,7 +75,5 @@
     /**
      * Wraps the returned calendar objects from fetchAll in the named decorator
-     *
-     * @param string $decorator name of Decorator class to wrap with
-     *
+     * @param string name of Decorator class to wrap with
      * @return array
      * @access public
@@ -108,5 +83,5 @@
         $children = parent::fetchAll();
         foreach ($children as $key => $Calendar) {
-            $children[$key] = new $decorator($Calendar);
+            $children[$key] = & new $decorator($Calendar);
         }
         return $children;
Index: /branches/version-2_13_0/data/module/Calendar/Month/Weekdays.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Month/Weekdays.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Month/Weekdays.php	(revision 23143)
@@ -1,38 +1,26 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// +----------------------------------------------------------------------+
+//
+// $Id: Weekdays.php,v 1.4 2005/10/22 10:28:49 quipo Exp $
+//
 /**
- * Contains the Calendar_Month_Weekdays class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Weekdays.php 300729 2010-06-24 12:05:53Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Weekdays.php,v 1.4 2005/10/22 10:28:49 quipo Exp $
  */
 
@@ -59,5 +47,5 @@
  * <code>
  * require_once 'Calendar/Month/Weekdays.php';
- * $Month = new Calendar_Month_Weekdays(2003, 10); // Oct 2003
+ * $Month = & new Calendar_Month_Weekdays(2003, 10); // Oct 2003
  * $Month->build(); // Build Calendar_Day objects
  * while ($Day = & $Month->fetch()) {
@@ -75,12 +63,6 @@
  * }
  * </code>
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access    public
+ * @package Calendar
+ * @access public
  */
 class Calendar_Month_Weekdays extends Calendar_Month
@@ -102,14 +84,12 @@
     /**
      * Constructs Calendar_Month_Weekdays
-     *
-     * @param int $y        year e.g. 2003
-     * @param int $m        month e.g. 5
-     * @param int $firstDay (optional) first day of week (e.g. 0 for Sunday, 2 for Tuesday etc.)
-     *
+     * @param int year e.g. 2003
+     * @param int month e.g. 5
+     * @param int (optional) first day of week (e.g. 0 for Sunday, 2 for Tuesday etc.)
      * @access public
      */
     function Calendar_Month_Weekdays($y, $m, $firstDay=null)
     {
-        parent::Calendar_Month($y, $m, $firstDay);
+        Calendar_Month::Calendar_Month($y, $m, $firstDay);
     }
 
@@ -118,17 +98,15 @@
      * with empty cells if the first day of the week does not fall on the first
      * day of the month.
-     *
-     * @param array $sDates (optional) Calendar_Day objects representing selected dates
-     *
-     * @return boolean
-     * @access public
      * @see Calendar_Day::isEmpty()
      * @see Calendar_Day_Base::isFirst()
      * @see Calendar_Day_Base::isLast()
+     * @param array (optional) Calendar_Day objects representing selected dates
+     * @return boolean
+     * @access public
      */
-    function build($sDates = array())
+    function build($sDates=array())
     {
-        include_once CALENDAR_ROOT.'Table/Helper.php';
-        $this->tableHelper = new Calendar_Table_Helper($this, $this->firstDay);
+        require_once CALENDAR_ROOT.'Table/Helper.php';
+        $this->tableHelper = & new Calendar_Table_Helper($this, $this->firstDay);
         Calendar_Month::build($sDates);
         $this->buildEmptyDaysBefore();
@@ -141,5 +119,4 @@
     /**
      * Prepends empty days before the real days in the month
-     *
      * @return void
      * @access private
@@ -162,5 +139,4 @@
     /**
      * Shifts the array of children forward, if necessary
-     *
      * @return void
      * @access private
@@ -168,5 +144,5 @@
     function shiftDays()
     {
-        if (isset($this->children[0])) {
+        if (isset ($this->children[0])) {
             array_unshift($this->children, null);
             unset($this->children[0]);
@@ -176,5 +152,4 @@
     /**
      * Appends empty days after the real days in the month
-     *
      * @return void
      * @access private
@@ -183,6 +158,6 @@
     {
         $eAfter = $this->tableHelper->getEmptyDaysAfter();
-        $sDOM   = $this->tableHelper->getNumTableDaysInMonth();
-        for ($i=1; $i <= $sDOM-$eAfter; $i++) {
+        $sDOM = $this->tableHelper->getNumTableDaysInMonth();
+        for ($i = 1; $i <= $sDOM-$eAfter; $i++) {
             $Day = new Calendar_Day($this->year, $this->month+1, $i);
             $Day->setEmpty();
@@ -195,5 +170,4 @@
      * Sets the "markers" for the beginning and of a of week, in the
      * built Calendar_Day children
-     *
      * @return void
      * @access private
@@ -201,5 +175,5 @@
     function setWeekMarkers()
     {
-        $dIW = $this->cE->getDaysInWeek(
+        $dIW  = $this->cE->getDaysInWeek(
             $this->thisYear(),
             $this->thisMonth(),
